diff -u audacity-1.3.4/debian/changelog audacity-1.3.4/debian/changelog
--- audacity-1.3.4/debian/changelog
+++ audacity-1.3.4/debian/changelog
@@ -1,3 +1,11 @@
+audacity (1.3.4-1.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Fix FTBFS with GCC 4.3 (Closes: #455635).
+  * Reenable JACK on amd64 (Closes: #469325).
+
+ -- Luk Claes <luk@debian.org>  Sat, 22 Mar 2008 10:50:11 +0000
+
 audacity (1.3.4-1.1) unstable; urgency=high
 
   * Non-maintainer upload by security team.
diff -u audacity-1.3.4/debian/rules audacity-1.3.4/debian/rules
--- audacity-1.3.4/debian/rules
+++ audacity-1.3.4/debian/rules
@@ -12,7 +12,11 @@
  ifeq (powerpc, ,$(DEB_HOST_ARCH))
 T1_DEB_CONFIGURE_EXTRA_FLAGS := --with-jack=yes
  else
+  ifeq (amd64, ,$(DEB_HOST_ARCH))
+T1_DEB_CONFIGURE_EXTRA_FLAGS := --with-jack=yes
+  else
 T1_DEB_CONFIGURE_EXTRA_FLAGS := --with-jack=no
+  endif
  endif
 endif
 
only in patch2:
unchanged:
--- audacity-1.3.4.orig/lib-src/libvamp/vamp-sdk/PluginAdapter.cpp
+++ audacity-1.3.4/lib-src/libvamp/vamp-sdk/PluginAdapter.cpp
@@ -36,6 +36,9 @@
 
 #include "PluginAdapter.h"
 
+#include <cstdlib>
+#include <cstring>
+
 //#define DEBUG_PLUGIN_ADAPTER 1
 
 
only in patch2:
unchanged:
--- audacity-1.3.4.orig/lib-src/libvamp/vamp-sdk/PluginHostAdapter.cpp
+++ audacity-1.3.4/lib-src/libvamp/vamp-sdk/PluginHostAdapter.cpp
@@ -36,6 +36,8 @@
 
 #include "PluginHostAdapter.h"
 
+#include <cstdlib>
+
 namespace Vamp
 {
 
only in patch2:
unchanged:
--- audacity-1.3.4.orig/lib-src/libvamp/vamp-sdk/hostext/PluginLoader.cpp
+++ audacity-1.3.4/lib-src/libvamp/vamp-sdk/hostext/PluginLoader.cpp
@@ -39,6 +39,7 @@
 #include "PluginInputDomainAdapter.h"
 #include "PluginChannelAdapter.h"
 
+#include <cstring>
 #include <fstream>
 #include <cctype> // tolower
 
